
Figure - Bug #114106
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110873 (New): BSP-BVT测试-AUDIO

【AF】【EVT】【AUDIO】下拉消息框，会有短暂提示音
2022-11-23 11:45 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-23

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211230319

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

Reproducibility: Every time Fixed Version: 2022-12-09

Test Type: IT Root cause: 更新通知音动作，非系统应用非白名单内的应用，不需要通知音，下拉状态栏，不需要通知音

Description

【前提条件】

1、设备已开机

【测试步骤】

1、下拉消息框

【预期结果】

1、消息框出现，无声音提示

【实际结果】

1、下拉消息框，会有短暂提示音

【复现率】

5/5

History

#1 - 2022-11-24 16:59 - CD MM陈海波

- Assignee changed from CD MM陈海波 to CD FW-王伟

此问题如之前讨论的, 下拉消息框，会有短暂提示音. 此短暂提示音需要删除.

10-31 19:00:15.892  5953  6150 I ExtendedNuUtils: printFileName fd(7) -> /product/media/audio/notifications/pixiedust.ogg

补充:

通过测试(11/16号版本), 似乎此问题已经得到了修复.

#2 - 2022-11-28 18:09 - CD FW 曹覃刚

- Category changed from AUDIO-FW to CD-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-王伟 to CD FW 曹覃刚

#3 - 2022-11-28 18:17 - CD MM陈海波
- File audio_after.txt added

不好意思, 此问题在11/28号的版本上还是存在.

验证方式: 

1. 下拉消息框前, 执行命令: 

    adb shell dumpsys audio > audio_before.txt

2. 下拉消息框

3. 下拉消息框后, 执行命令: 

    adb shell dumpsys audio > audio_after.txt

4. 对比audio dumpsys 结果. 

   如附件(notification1.png和notification2.png)所示, 会有消息音发出来.

#4 - 2022-11-28 18:18 - CD MM陈海波

- File audio_before.txt added

- File notification.png added

- File notification2.png added

#5 - 2022-12-08 10:43 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#6 - 2022-12-08 10:45 - CD FW 曹覃刚

- Assignee changed from CD FW-程天颖 to CD FW 曹覃刚

#7 - 2022-12-08 18:26 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168621 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Notification: Adjust notification tone playback actionNon-system applications and Non-whitelisted applications will not play notification tonesTC-RID:

1201-0201902IssueID: TS-R-BUG-114106Change-Id: Ifc27fea1ce344a54738b5471db4bd624205348e3

#8 - 2022-12-08 18:29 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-09

- Root cause set to 更新通知音动作，非系统应用非白名单内的应用，不需要通知音，下拉状态栏，不需要通知音

提交已入库

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/168621

#9 - 2022-12-09 10:18 - CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/168621


- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

12.9

验证通过，下拉状态栏无提示音

#10 - 2022-12-09 10:18 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

audio_after.txt 14.2 KB 2022-11-28 CD MM陈海波

audio_before.txt 13.4 KB 2022-11-28 CD MM陈海波

notification.png 250 KB 2022-11-28 CD MM陈海波

notification2.png 51.2 KB 2022-11-28 CD MM陈海波
